* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: courier prime, monospace;
}

body {
    background: #2e343e;
    color: white;
    scroll-behavior: smooth;
}

/* HEADER */
header {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    background: #0e1c29;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
}

/*
.navbar.sticky {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
}

*/


.company-name {

    line-height: 1;
    padding: 0 0.6rem;
}

.company-name a {
    color: #F900FE;
    text-decoration: none;
    font-size: 1.5rem;
}

.nav-links {
    display: flex;
    gap: 1rem;
}

.nav-links a {
    color: #8f9f55;
    text-decoration: none;
    padding: 0.3rem;
    font-size: 1rem;
    font-weight: 400;
     transition: 0.3s;
}

.nav-links a:hover {
    border-bottom: 1px solid #f900fe;
    border-radius: 0.5rem;
    font-size: 1rem;
    padding: 0.3rem;
}


/* HAMBURGER */
.hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
    gap: 5px;
    width: 30px;
    height: 25px;
    justify-content: center;
    z-index: 1100;
}

.hamburger span {
    height: 3px;
    width: 100%;
    background: white;
    border-radius: 5px;
    transition: 0.3s ease;
}

.hamburger.active span:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

.hamburger.active span:nth-child(2) {
    opacity: 0;
}

.hamburger.active span:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}

/* FULLSCREEN MOBILE MENU */
.nav-links {
    transition: all 0.4s ease;
}

@media (max-width: 768px) {

    .hamburger {
        display: flex;
    }

    .nav-links {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background: rgba(0, 0, 0, 0.95);
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 30px;

        transform: translateY(-100%);
        opacity: 0;
        pointer-events: none;
    }

    .nav-links.show {
        transform: translateY(0);
        opacity: 1;
        pointer-events: all;
    }

    .nav-links a {
        font-size: 24px;
    }
}

/* SLIDER */
.slider {
    max-width: 100%;
    width: 100%;
    height: 20rem;
    position: relative;
    overflow: hidden;
    margin-bottom: 1rem;

}

.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: 1s;
}

.slide.active {
    opacity: 1;
}

.hero-text {
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    font-size: 1.5rem;
}

/* TABS */
.tabs {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin: 20px;
    max-width: 1200px;
    width: 90%;
    margin: auto;
}

.tabs button {
    padding: 12px 25px;
    border: none;
    cursor: pointer;
    font-weight: 500;
    font-size: 1.1rem;
    border: 1px solid white;
}

.tabs .offer {
    background: #0e1c29;
    ;
    width: 50%;
    border-radius: 0.5rem;
    color: #8f9f55
}

.coming {
    background: #0e1c29;
    width: 50%;
    border-radius: 0.5rem;
    color: #F900FE;
}

/* TAB CONTENT */
#tabContent {
    text-align: center;
    color: #aaa;
    margin-bottom: 20px;
}

/* PRODUCTS GRID (BELOW TABS - ALWAYS VISIBLE) */
.section-title {
    text-align: center;
    margin-top: 20px;
    color: #fff;
}

.product-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    padding: 20px;
}

.card {
    background: #0e1c29;
    border-radius: 10px;
    overflow: hidden;
    cursor: pointer;
}

.card img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.card-content {
    padding: 10px;
}

.price {
    color: #f900fe;
    margin: 5px 0;
}

.actions {
    display: flex;
    gap: 10px;
}

.actions button {
    flex: 1;
    padding: 10px;
    border: none;
    cursor: pointer;
    color: #fff;
    font-weight: 700;
    background: #2e343e;
    border-radius: 0.5rem;
}



.actions .wish {
    border: 2px solid #8f9f55;
}

.actions .cart {
    border: 2px solid #F900FE;
}

/* MODAL */
.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.85);
    justify-content: center;
    align-items: center;
    z-index: 2000;
}

.modal-box {
    background: #0e1c29;
    padding: 20px;
    width: 320px;
    border-radius: 10px;
    text-align: center;
}

.modal-box img {
    width: 100%;
    border-radius: 10px;
}

/* RESPONSIVE */
@media(max-width:900px) {
    .product-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media(max-width:600px) {
    .product-grid {
        grid-template-columns: 1fr;
    }
}

/* About Page */


.about-hero{
height:100vh;
margin-top:4.4rem;
display:flex;
flex-direction:column;
justify-content:center;
align-items:center;
text-align:center;
padding:20px;
background:linear-gradient(rgba(0,0,0,0.6),rgba(0,0,0,0.8)),
url('img/bspwm.webp') center/cover no-repeat;
}

.about-hero h2{
font-size:3rem;
}

.about-hero p{
margin-top:1rem;
max-width:50rem;
color:#ddd;
font-size: 1.2rem;
font-weight: 600;
}

/* BUTTONS */
.about-btn{
margin-top:20px;
padding:12px 20px;
border:none;
cursor:pointer;
border-radius:5px;

}

.about-btn-primary{
background:#8f9f55;
color:white;
font-size: 1.1rem;
font-weight: 500;
}

.about-btn-secondary{
background:#f900fe;
color:white;
margin-left:10px;
font-size: 1.1rem;
font-weight: 500;
}

/* SECTIONS */
section{
padding:80px 20px;
}

/* ABOUT */
.about-us{
text-align:center;
max-width:900px;
margin:auto;
}

.about-us h2{
color:#f900fe;
margin-bottom:20px;
}

.about-us p{
color:#ccc;
line-height:1.7;
}

/* SERVICES */
.about-services{
display:grid;
grid-template-columns:repeat(3,1fr);
gap:20px;
max-width:1100px;
margin:auto;
margin-top:40px;
}

.about-card{
background:#111a2b;
padding:20px;
border-radius:10px;
text-align:center;
transition:0.3s;
}

.about-card:hover{
transform:translateY(-5px);
background:#16243a;
}

.about-card h3{
color:#8f9f55;
}

/* PORTFOLIO */
.about-portfolio{
max-width:1100px;
margin:auto;
display:grid;
grid-template-columns:repeat(3,1fr);
gap:20px;
margin-top:40px;
}

.about-project{
background:#111a2b;
border-radius:10px;
overflow:hidden;
transition:0.3s;
}

.about-project img{
width:100%;
height:180px;
object-fit:cover;
}

.about-project-content{
padding:15px;
}

.about-project h3{
color:#f900fe;
}

.about-project p{
color:#ccc;
font-size:14px;
margin-top:5px;
}

/* CONTACT */
.about-contact{
max-width:600px;
margin:auto;
text-align:center;
}

.about-contact h2{
color:#f900fe;
margin-bottom:20px;
}

form{
display:flex;
flex-direction:column;
gap:10px;
}

input, textarea{
padding:12px;
border:none;
border-radius:5px;
outline:none;
}

textarea{
min-height:120px;
resize:none;
}

.about-send-btn{
background:#8f9f55;
color:white;
padding:12px;
border:none;
cursor:pointer;
border-radius:5px;
}

/* FOOTER */
footer{
text-align:center;
padding:20px;
background:#0e1c29;
color:#888;
}

/* RESPONSIVE */
@media(max-width:900px){
.about-services,.about-portfolio{
grid-template-columns:repeat(2,1fr);
}
}

@media(max-width:600px){
.about-services,.about-portfolio{
grid-template-columns:1fr;
}

.about-hero h2{
font-size:28px;
}
}